net.corda.core.schemas

## Class PersistentState

- net.corda.core.schemas.PersistentState

- Direct Known Subclasses:
    CashSchemaV1.PersistentCashState, CommercialPaperSchemaV1.PersistentCommericalPaperState

      public class PersistentState

  A super class for all mapped states exported to a schema that ensures the `class StateRef` appears on the database row. The `class StateRef` will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).

  See Also:
    `class StateRef`, `class StateRef`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentState(PersistentStateRef stateRef)` A super class for all mapped states exported to a schema that ensures the `class StateRef` appears on the database row. The `class StateRef` will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).
    `PersistentState()` A super class for all mapped states exported to a schema that ensures the `class StateRef` appears on the database row. The `class StateRef` will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersistentStateRef` | `getStateRef()`
    `void` | `setStateRef(PersistentStateRef p)`

- - ### Constructor Detail

    - #### PersistentState

          public PersistentState(PersistentStateRef stateRef)

      A super class for all mapped states exported to a schema that ensures the `class StateRef` appears on the database row. The `class StateRef` will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).

      See Also:
        `class StateRef`, `class StateRef`

    - #### PersistentState

          public PersistentState()

      A super class for all mapped states exported to a schema that ensures the `class StateRef` appears on the database row. The `class StateRef` will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).

      See Also:
        `class StateRef`, `class StateRef`

  - ### Method Detail

    - #### getStateRef

          public PersistentStateRef getStateRef()

    - #### setStateRef

          public void setStateRef(PersistentStateRef p)